
#include <time.h>
#include <sys/resource.h>
#include <sys/time.h>
#include <sicstus/sicstus.h>

extern "C" {
    SP_integer clock_ticks(){
        return clock();
    }

    SP_integer clock_microseconds(){
        struct rusage usage;
        getrusage(RUSAGE_SELF, &usage);
        return usage.ru_utime.tv_sec * 1000000 + usage.ru_utime.tv_usec;
    }
}
