#include <assert.h>
#include "magic_constants.h"

int verify_seq(const int actual, const int last_seq) {
   if (last_seq == SEQ_NOT_SET) {
       return 1;
   } else if (last_seq == SEQ_MAX) {
       return actual == SEQ_MIN;
   } else {
       return actual == last_seq + 1;
   }
}

int next_seq(const int last_seq) {
   if (last_seq == SEQ_NOT_SET) {
       return SEQ_MIN;
   } else if (last_seq == SEQ_MAX) {
       return SEQ_MIN;
   } else {
       return last_seq + 1;
   }
}
