#ifndef WCALLBACKS_H_INCLUDED
#define WCALLBACKS_H_INCLUDED

zmsg_t *new_message(void);
zmsg_t *new_results_message(void);

void start_timer(void);
void stop_timer(void);

size_t timeval_to_size(const struct timeval val);
struct timeval delta(const struct timeval start, const struct timeval stop);

void put_succ(zmsg_t *msg, char *term, int term_length, int fd_logfile);
void msg_put_str(zmsg_t *msg, char *termstr);

void add_stats(zmsg_t *msg);

void send_and_destroy_msg(zmsg_t *msg);

#endif
