@ECHO OFF

SET PROB_JUNIT_DIR=testresults
SET PROB_JUNIT=-junit testresults
SET ignore_timeouts=false

CALL rm -rf testresults
CALL mkdir  testresults

CALL make test_no_building

REM Exit with an error code if we find errors or failures
CALL grep --recursive -q "failures=\"[1-9][0-9]*\"" testresults  && EXIT /B 12
CALL grep --recursive -q "errors=\"[1-9][0-9]*\"" testresults  && EXIT /B 13
CALL EXIT /B 0


