//
//  hash_table_utilities.h
//  
//
//  Created by Ivaylo Dobrikov on 09/07/15.
//
//

#ifndef ____hash_table_utilities__
#define ____hash_table_utilities__

#include <stdio.h>
#include "uthash/src/uthash.h"

struct GraphVertex_hash {
    unsigned int atomid;
    int graphid;
    UT_hash_handle hh;
};

void add_vertex_ht(unsigned int atomid, int vertex_id);
int find_vertex_ht(unsigned int atomid);
void delete_vertex_ht(struct GraphVertex_hash *vertex_h);
void delete_all_ht();
void print_vertices_ht();

#endif /* defined(____hash_table_utilities__) */
