#ifndef ASSERT_HELPER_H_INCLUDED
#define ASSERT_HELPER_H_INCLUDED

#include <assert.h>
#include <stdio.h>

#define assert_es(expr, error_msg) \
        if (!(expr)) {             \
            perror(error_msg);     \
            assert(expr);          \
        }                          


#define assert_esf(expr, format, ...) \
        if (!(expr)) {                \
            fprintf(stderr, format, __VA_ARGS__); \
            fprintf(stderr, "\n");    \
            assert(expr);             \
        }

#endif
