
% call the Promela parser to translate a .pml file into a Prolog AST

call_promela_parser(PMLFile) :-
   promela_prolog_filename(PMLFile,PrologFile),
   (file_exists(PrologFile) -> delete_file(PrologFile) ; true),
   runtime_application_path(AppPath),
   call_jar_parser(PMLFile,'Promela.jar',[AppPath],promela_parser).
